TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
TIBCO.EMS.FederatedQueue Class Reference

The FederatedQueue class represents the queue entry in the naming server. A FederatedQueue object is the query result of a queue name lookup, the return value of the `NameSearcher.Lookup` method. More...

Inheritance diagram for TIBCO.EMS.FederatedQueue:

## Properties
string | Name`[get]`
| Gets the name property of the object. The name string uniquely identfies the queue and can be used as the entry name of a DirectoryEntry in ASDI. More...
Properties inherited from TIBCO.EMS.Queue
string | QueueName`[get]`
| Gets the name of the queue More...

## Additional Inherited Members
Public Member Functions inherited from TIBCO.EMS.Queue
| Queue (string name)
| Constructs a new Queue object with the given name. More...
override Object | Clone ()
| Implementation of ICloneable. Overrides the cloning process. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...
override string | ToString ()
| Returns a string representation of this `Queue` object. More...
Public Member Functions inherited from TIBCO.EMS.Destination
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Detailed Description

The FederatedQueue class represents the queue entry in the naming server. A FederatedQueue object is the query result of a queue name lookup, the return value of the `NameSearcher.Lookup` method.

A FederatedQueue object has a `Name` property that uniquely identifies the queue entry in the naming server. If we want to store the reference of query result into a 3rd-party directory server, this property can be used as the entry name of a System.DirectoryServices.DirectoryEntry in ASDI.

## Property Documentation

string TIBCO.EMS.FederatedQueue.Name
| get

Gets the name property of the object. The name string uniquely identfies the queue and can be used as the entry name of a DirectoryEntry in ASDI.